diff --git a/common/xfs b/common/xfs
index 7eee76c0..9275a79c 100644
--- a/common/xfs
+++ b/common/xfs
@@ -1547,3 +1547,10 @@ _xfs_get_inode_core_bytes()
 		echo 96
 	fi
 }
+
+_require_xfs_bulkstat_special_root()
+{
+	if $here/src/xfs_get_root_inode 2>&1 | grep -q 'not supported'; then
+		_notrun 'XFS_BULK_IREQ_SPECIAL_ROOT is not supported.'
+	fi
+}
diff --git a/src/Makefile b/src/Makefile
index afdf6b30..c850fdcb 100644
--- a/src/Makefile
+++ b/src/Makefile
@@ -19,7 +19,7 @@ TARGETS = dirstress fill fill2 getpagesize holes lstat64 \
 	t_ofd_locks t_mmap_collision mmap-write-concurrent \
 	t_get_file_time t_create_short_dirs t_create_long_dirs t_enospc \
 	t_mmap_writev_overlap checkpoint_journal mmap-rw-fault allocstale \
-	t_mmap_cow_memory_failure fake-dump-rootino
+	t_mmap_cow_memory_failure fake-dump-rootino xfs_get_root_inode
 
 LINUX_TARGETS = xfsctl bstat t_mtab getdevicesize preallo_rw_pattern_reader \
 	preallo_rw_pattern_writer ftrunc trunc fs_perms testx looptest \
diff --git a/src/xfs_get_root_inode.c b/src/xfs_get_root_inode.c
new file mode 100644
index 00000000..d1b4f38d
--- /dev/null
+++ b/src/xfs_get_root_inode.c
@@ -0,0 +1,49 @@
+#include <stdio.h>
+#include <stdlib.h>
+#include <string.h>
+#include <fcntl.h>
+#include <xfs/xfs.h>
+
+int main(int argc, char *argv[]) {
+
+#ifdef XFS_BULK_IREQ_SPECIAL_ROOT
+
+	if (argc < 2) {
+		fprintf(stderr, "%s: requires path argument\n", argv[0]);
+		return 1;
+	}
+
+	char *path = argv[1];
+
+	int fd = open(path, O_RDONLY);
+	if (fd < 0) {
+		perror("open failed");
+		return 1;
+	}
+
+	size_t size = sizeof(struct xfs_bulkstat_req) + sizeof(struct xfs_bulkstat);
+	struct xfs_bulkstat_req *req = malloc(size);
+	if (req == NULL) {
+		perror("malloc failed");
+		return 1;
+	}
+	memset(req, 0, sizeof(size));
+	req->hdr.flags = XFS_BULK_IREQ_SPECIAL;
+	req->hdr.ino = XFS_BULK_IREQ_SPECIAL_ROOT;
+	req->hdr.icount = 1;
+
+	int ret = ioctl(fd, XFS_IOC_BULKSTAT, req);
+	if (ret < 0) {
+		perror("ioctl failed");
+		return 1;
+	}
+	printf("%lu\n", req->bulkstat[0].bs_ino);
+
+	return 0;
+
+#else
+	fprintf(stderr, "XFS_BULK_IREQ_SPECIAL_ROOT is not supported\n");
+	return 1;
+#endif
+
+}
diff --git a/tests/xfs/557 b/tests/xfs/557
new file mode 100644
index 00000000..95b59088
--- /dev/null
+++ b/tests/xfs/557
@@ -0,0 +1,63 @@
+#! /bin/bash
+# SPDX-License-Identifier: GPL-2.0
+# Copyright (c) 2022 Fujitsu Limited. All Rights Reserved.
+#
+# FS QA Test No. 557
+#
+# This is a test for:
+#   bf3cb3944792 (xfs: allow single bulkstat of special inodes)
+# Create a filesystem which contains an inode with a lower number
+# than the root inode. Then verify that XFS_BULK_IREQ_SPECIAL_ROOT gets
+# the correct root inode number.
+#
+. ./common/preamble
+_begin_fstest auto quick
+
+_supported_fs xfs
+_require_xfs_io_command "falloc"
+_require_scratch
+_require_xfs_bulkstat_special_root
+
+_fixed_by_kernel_commit XXXXXXXXXXXX \
+	"xfs: get root inode correctly at bulkstat"
+
+# A large stripe unit will put the root inode out quite far
+# due to alignment, leaving free blocks ahead of it.
+_scratch_mkfs_xfs -d sunit=1024,swidth=1024 > $seqres.full 2>&1 || _fail "mkfs failed"
+
+# Mounting /without/ a stripe should allow inodes to be allocated
+# in lower free blocks, without the stripe alignment.
+_scratch_mount -o sunit=0,swidth=0
+
+root_inum=$(stat -c %i $SCRATCH_MNT)
+
+# Consume space after the root inode so that the blocks before
+# root look "close" for the next inode chunk allocation
+$XFS_IO_PROG -f -c "falloc 0 16m" $SCRATCH_MNT/fillfile
+
+# And make a bunch of inodes until we (hopefully) get one lower
+# than root, in a new inode chunk.
+echo "root_inum: $root_inum" >> $seqres.full
+for i in $(seq 0 4096) ; do
+	fname=$SCRATCH_MNT/$(printf "FILE_%03d" $i)
+	touch $fname
+	inum=$(stat -c "%i" $fname)
+	[[ $inum -lt $root_inum ]] && break
+done
+
+echo "created: $inum" >> $seqres.full
+
+[[ $inum -lt $root_inum ]] || _notrun "Could not set up test"
+
+# Get root ino with XFS_BULK_IREQ_SPECIAL_ROOT
+bulkstat_root_inum=$($here/src/xfs_get_root_inode $SCRATCH_MNT)
+echo "bulkstat_root_inum: $bulkstat_root_inum" >> $seqres.full
+if [ $root_inum -ne $bulkstat_root_inum ]; then
+	echo "root ino mismatch: expected:${root_inum}, actual:${bulkstat_root_inum}"
+fi
+
+echo "Silence is golden"
+
+# success, all done
+status=0
+exit
diff --git a/tests/xfs/557.out b/tests/xfs/557.out
new file mode 100644
index 00000000..1f1ae1d4
--- /dev/null
+++ b/tests/xfs/557.out
@@ -0,0 +1,2 @@
+QA output created by 557
+Silence is golden